locked
Can't see Wincahce in phpinfo RRS feed

  • Question

  • User1907041400 posted

    Good Morning,

    I installed Wincache 1.1 for PHP 5.2 my php version is 5.2.8, and follow the instruction, I check the installation to be sure that php_wincache.dll is in php\ext directory and I check in the PHP.INI loaded (information taken from phpinfo) that the line  extension=php_wincache.dll is inserted and write correctly. I check the phpinfo to be sure that Fastcgi is enable this is a part of my phpinfo

    Configure Command  cscript /nologo configure.js "--enable-snapshot-build" "--enable-debug-pack" "--with-snapshot-template=d:\php-sdk\snap_5_2\vc6\x86\template" "--with-php-build=d:\php-sdk\snap_5_2\vc6\x86\php_build" "--with-pdo-oci=D:\php-sdk\oracle\instantclient10\sdk,shared" "--with-oci8=D:\php-sdk\oracle\instantclient10\sdk,shared" 
    Server API  CGI/FastCGI 
    Virtual Directory Support  enabled 
    Configuration File (php.ini) Path  C:\WINDOWS 
    Loaded Configuration File  C:\PHP\php.ini 

    I STOP and RESTART my IIS web server (6.0). And when I run phpinfo.php, I see no comment about Wincache ??. What I did wrong ?

    Thank you,

    Sylvain  

     

     

     

    Monday, November 1, 2010 6:22 AM

All replies

  • User1907041400 posted

    I just read my phpplog.log and I found this in it wich is impossible ??

    [01-Nov-2010 06:20:28] PHP Warning:  PHP Startup: Unable to load dynamic library 'c:\php\ext\php_wincache.dll' - Le module spécifié est introuvable.
     in Unknown on line 0

    Le module spéfifié est introuvable is translate to The module secified can't be found

    I triple check in php\ext and php_wincache.dll is there and the security setting seem's fine !

    What do I missed ?

    Sylvain

    Monday, November 1, 2010 6:28 AM
  • User1907041400 posted

    Please ignore that post. Googling give me the answer !. I'm running PHP TS, I MUST use PHP NTS !

    Best Regards,

    Sylvain

    Monday, November 1, 2010 9:29 AM
  • User-1672167363 posted

    Hello,

    Have you resolved your issues?

    You are correct the extension does require the Non Thread safe bulds.

    I say the note to igore the post.

    If you have no more issues could you mark the Post Answered.

    Thank You,

    Martin :)

    Thursday, January 20, 2011 9:57 PM